public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/openapi-core/
Date: Mon, 10 Oct 2022 14:04:35 +0000 (UTC)	[thread overview]
Message-ID: <1665410668.d1f008fe2a26296d9d4565c90844e36e47bad11a.mgorny@gentoo> (raw)

commit:     d1f008fe2a26296d9d4565c90844e36e47bad11a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 10 13:41:53 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct 10 14:04:28 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1f008fe

dev-python/openapi-core: Bump to 0.16.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/openapi-core/Manifest                   |  1 +
 dev-python/openapi-core/openapi-core-0.16.1.ebuild | 68 ++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/dev-python/openapi-core/Manifest b/dev-python/openapi-core/Manifest
index c225537e39c3..9f2fbc02ca82 100644
--- a/dev-python/openapi-core/Manifest
+++ b/dev-python/openapi-core/Manifest
@@ -1,2 +1,3 @@
 DIST openapi-core-0.14.5.gh.tar.gz 57645 BLAKE2B c5c9c308b93a37e32708677cc7c7a2ccb9ec3f018390e56a251224b6b8776943ccd0ddfb560cdc3f1182cb32a9b2817878a0d4dda3906c179db9841853caf7ac SHA512 69d9fb2cc21dfdb939beae45b1c681faf9f8e3366b36e5907b00be65ac669ec40e3ae3fe910fb2c4f6c70d1412e6a67e4e4e47e3cf2c424716da4c813223295e
 DIST openapi-core-0.16.0.gh.tar.gz 79041 BLAKE2B 93745787d39dc2e77e6b268792548069e7637ea7acbf4975224d837b87f301ea5ae36c07aec5b8f44b6e7a5480aab744e9601663f080d63f27b8a49aeb9cd7f5 SHA512 70ed773926c16df9d085e7ce104a0a99ccc52e8e0ba395ead1cf5e9cba1e43723bb7a744cd2b9c27e3a8a48319f8265dc5745c20cc23e825fa28ed3b2fcd3e25
+DIST openapi-core-0.16.1.gh.tar.gz 79002 BLAKE2B 2b64a28c80b64294cdbef2e4fcd08bfdc739c53a6baf0aeacc9e082bc01c8bf1b58da53a8c9b5b80a38600e4ab8bfb67b1d7ebb3a759d60d43748c9cc09c8eba SHA512 87cd47871a939b9f0ab23deafac067d16ba88146e140e7602b8bec5498ea6ed2213ceb530c9448718c5f94b944a954f2d46fab3fb18cacc2764a5cd7bf056dff

diff --git a/dev-python/openapi-core/openapi-core-0.16.1.ebuild b/dev-python/openapi-core/openapi-core-0.16.1.ebuild
new file mode 100644
index 000000000000..0f2ba12ece92
--- /dev/null
+++ b/dev-python/openapi-core/openapi-core-0.16.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Client-side and server-side support for the OpenAPI Specification v3"
+HOMEPAGE="
+	https://github.com/p1c2u/openapi-core/
+	https://pypi.org/project/openapi-core/
+"
+SRC_URI="
+	https://github.com/p1c2u/openapi-core/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	>=dev-python/pathable-0.4.0[${PYTHON_USEDEP}]
+	dev-python/isodate[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-spec-0.1.1[${PYTHON_USEDEP}]
+	dev-python/more-itertools[${PYTHON_USEDEP}]
+	dev-python/parse[${PYTHON_USEDEP}]
+	<dev-python/openapi-schema-validator-0.4[${PYTHON_USEDEP}]
+	>=dev-python/openapi-schema-validator-0.3[${PYTHON_USEDEP}]
+	<dev-python/openapi-spec-validator-0.6[${PYTHON_USEDEP}]
+	>=dev-python/openapi-spec-validator-0.5[${PYTHON_USEDEP}]
+	dev-python/werkzeug[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+	test? (
+		dev-python/asgiref[${PYTHON_USEDEP}]
+		dev-python/flask[${PYTHON_USEDEP}]
+		>=dev-python/httpx-0.23.0[${PYTHON_USEDEP}]
+		dev-python/responses[${PYTHON_USEDEP}]
+		>=dev-python/starlette-0.21.0[${PYTHON_USEDEP}]
+		dev-python/strict-rfc3339[${PYTHON_USEDEP}]
+		dev-python/webob[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+	# falcon is not packaged
+	tests/integration/contrib/falcon
+
+	# TODO: these tests fail to collect
+	tests/integration/validation/test_security_override.py
+	tests/integration/validation/test_read_only_write_only.py
+
+	# unhappy about modern django
+	tests/integration/contrib/django/test_django_project.py
+	tests/unit/contrib/django/test_django.py
+)
+
+src_prepare() {
+	sed -i -e '/--cov/d' pyproject.toml || die
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2022-10-10 14:04 UTC|newest]

Thread overview: 67+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-10 14:04 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-21 10:43 [gentoo-commits] repo/gentoo:master commit in: dev-python/openapi-core/ Michał Górny
2024-09-21  9:59 Sam James
2024-09-03  5:23 Michał Górny
2024-08-31  9:21 Michał Górny
2024-08-31  8:04 Jakov Smolić
2024-08-15  3:47 Michał Górny
2024-07-06  8:33 Michał Górny
2024-07-06  6:39 Sam James
2024-06-16  8:12 Petr Vaněk
2024-06-16  8:12 Petr Vaněk
2024-06-13  4:05 Michał Górny
2024-04-27  7:40 Michał Górny
2024-04-11  4:25 Michał Górny
2024-03-06  3:40 Sam James
2024-03-02 12:24 Arthur Zamarin
2024-03-02 11:25 Arthur Zamarin
2024-03-02 11:18 Arthur Zamarin
2024-03-02  9:49 Arthur Zamarin
2024-03-01  7:28 Viorel Munteanu
2024-03-01  7:28 Viorel Munteanu
2024-03-01  7:28 Viorel Munteanu
2024-02-15 21:15 Sam James
2024-02-15 19:43 Jakov Smolić
2024-02-15 18:34 Jakov Smolić
2023-11-25 15:36 Michał Górny
2023-11-25 15:20 Arthur Zamarin
2023-11-20 15:23 Michał Górny
2023-11-07 15:19 Michał Górny
2023-10-24 17:51 Michał Górny
2023-10-15 17:27 Michał Górny
2023-10-15  7:45 Sam James
2023-10-13 14:47 Arthur Zamarin
2023-09-18 20:47 Arthur Zamarin
2023-09-14 15:39 Michał Górny
2023-09-14  5:27 WANG Xuerui
2023-09-10  5:27 WANG Xuerui
2023-08-14 17:57 Jakov Smolić
2023-08-14 17:57 Jakov Smolić
2023-08-13 16:10 Arthur Zamarin
2023-08-13 16:10 Arthur Zamarin
2023-08-13 16:08 Arthur Zamarin
2023-08-13 16:08 Arthur Zamarin
2023-08-13  6:37 Joonas Niilola
2023-07-24 10:49 Michał Górny
2023-07-11  6:45 Michał Górny
2023-06-16  4:05 Michał Górny
2023-06-13 16:26 Michał Górny
2023-03-17 13:33 Michał Górny
2023-03-06 14:05 Michał Górny
2023-03-03  5:53 Michał Górny
2023-02-16 14:13 Michał Górny
2023-01-25  7:55 Michał Górny
2023-01-19 17:43 Michał Górny
2022-12-21  7:51 Michał Górny
2022-11-26  6:28 Michał Górny
2022-10-13  5:06 Michał Górny
2022-10-12 19:22 Sam James
2022-10-12 19:22 Sam James
2022-10-07 20:31 Michał Górny
2022-10-05 19:23 Michał Górny
2022-10-05  9:41 Michał Górny
2022-09-22 14:47 Andrew Ammerlaan
2022-09-22 11:01 Michał Górny
2022-09-03 12:04 Michał Górny
2022-06-11  7:39 Andrew Ammerlaan
2022-06-10 14:30 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1665410668.d1f008fe2a26296d9d4565c90844e36e47bad11a.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox